################################################
## Construction du sunburst
################################################
##

## Ce script est a appeler apres la construction de la table de donnees avec la bonne structure

# Chemin du dossier pour les resultats
library(stringr)
chemin_projet <- dossier_analyse
chemin_projet <- str_replace_all(chemin_projet, '\\\\','/')

## Data a utiliser :
data <- data_sunburst


## Appel des librairies --------------------------------

library(sunburstR)
library(htmltools)
library(htmlwidgets)
library(webshot)


## Structure des donnees pour sunburst -----------------------------------------------------

library (d3r)
data_tree <- d3_nest(data, value_cols= nom_colonne_size)

## Generation du sunburst -----------------------------------------------------------------

graph_sunburst <- sunburst (data=data_tree, valueField = nom_colonne_size, width ="100%", height = 400, percent=TRUE, count=TRUE, breadcrumb = list(w=0,h=15,s=2,t=10))
graph_sunburst 

## Creation du dossier export pour les sauvegardes
chemin_export <- paste0(chemin_projet,'/Exports/')
dir.create(chemin_export)

## Creation du fichier dans le dossier
chemin_export <- paste0(chemin_projet,'/Exports/Export_',date_heure_jour)
dir.create(chemin_export)

## Sauvegarde du fichier HTML (normalement dans le dossier Exports du projet)
chemin_export <- paste0(chemin_projet,'/Exports/Export_',date_heure_jour,'/',nom_fichier_html,'_',date_heure_jour,'_d3.html')
save_html(graph_sunburst,chemin_export)

## Graphique avec d2b
graph_sunburst_d2b <- sund2b(data=data_tree, valueField = nom_colonne_size, width='100%')
graph_sunburst_d2b

## Sauvegarde du fichier HTML (normalement dans le dossier Exports du projet)
chemin_export <- paste0(chemin_projet,'/Exports/Export_',date_heure_jour,'/',nom_fichier_html,'_',date_heure_jour,'_d2b.html')
save_html(graph_sunburst_d2b,chemin_export)

## Sauvegarde fichier excel des donnees ------------------------
write.csv2(data_sunburst, file=paste0(chemin_projet,'/Exports/Export_',date_heure_jour,'/',nom_fichier_html,'_',date_heure_jour,'_data.csv'))

## Modification du fichier css
chemin_export <- paste0(chemin_projet,'/Exports/Export_',date_heure_jour,'/lib/d2b-1.0.9/d2b_custom.css')
myfile <- file(chemin_export)
text_css <- readLines(myfile)
text_css[4] <- ".d2b-breadcrumbs-frame{
	width: 500px !important;
  }"
writeLines(text_css, myfile)
close(myfile)

## Creation du fichier texte de la configuration
chemin_export <- paste0(chemin_projet,'/Exports/Export_',date_heure_jour,'/sunburst_config.txt')
myfile <- file(chemin_export)
text_config <- c(paste0("Nom du fichier de donnees de depart : ",fichier_donnees),
                 paste0("Page a etudier : ",page_a_etudier),
                 paste0("Sens de la sequence : ",sens_sequence),
                 paste0("Nombre de niveaux sur le sunburst : ",nb_niveaux_pages)
                 )
writeLines(text_config, myfile)
close(myfile)


