#################################
## Script Master pour sunburst
#################################
##
##
#######################################################################################################################
##            CONSIGNES D UTILISATION :
##            > Definir les valeurs pour utilisation ci-dessous
##            > Lancer ce script avec la commande Source (avec Echo pour le suivi d'appel des scripts)
#######################################################################################################################
##



##
###################################################
## Interface Utilisateur
###################################################
##

## Pour donner le chemin des dossiers 
dossier_scripts <- dossier_des_scripts_r
dossier_analyse <- choose.dir(caption="Selectionner le dossier d analyse")



##
###################################################
## Definition des valeurs pour utilisation
###################################################
##

## Les autres infos sont recupereees du fichier json de parametrage
library(jsonlite)

## Chemin du fichier de parametrage pour l analyse
chemin_fichier_json <- paste0(dossier_analyse,'\\', 'analyse_parametrage.json') 
params <- read_json(path=chemin_fichier_json)

## Nom du fichier de donnees
fichier_nom <- params$fichier_donnees_nom
## Type du fichier de donnees
fichier_type <- params$fichier_donnees_type
## Nom de la colonne contenant l info du session ID
nom_col_session_id <- params$nom_col_session_id
## Nom de la colonne contenant l info du hit Number
nom_col_hitNumber <- params$nom_col_hitNumber
## Nom de la colonne contenant l info du nom de page
nom_col_page <- params$nom_col_page

## Page a etudier : Mettre la valeur de la page a etudier (sequence qui part depuis cette page, ou qui arrive à cette page)
page_a_etudier <- params$page_a_etudier  
## Sens de la sequence : Mettre 'brut' (ne pas prendre de sens en compte) ou 'normal' (uniquement sequence qui partent de la page) ou 'inverse' (uniquement sequences qui arrivent a la page)
sens_sequence <- params$sens_sequence
## Nombre de niveaux a representer : Mettre 0 comme nb_niveaux_pages si on veut tous les niveaux
nb_niveaux_pages <- params$nb_niveaux_pages
## Nom de la colonne size souhaité dans le fichier de donnees final
nom_colonne_size <- params$resultat_nom_colonne_volumes
## Debut du nom pour retrouver le fichier final qui sera exporte (le nom est suivi de la date)
nom_fichier_html <- params$resultat_nom_fichier_html



## Chemin d acces au fichier de donnees csv (ou txt)
fichier_donnees <- paste0(dossier_analyse, '\\', fichier_nom)


##
#################################
## Appel des autres scripts
#################################
##


## script preparation
script_file <- paste0(dossier_scripts,'\\','Sunburst_preparation_infos_formattage.R')
source(file= script_file)

## script structure des donnees
script_file <- paste0(dossier_scripts,'\\','Sunburst_data_structure.R')
source(file= script_file)

## script generation du sunburst
script_file <- paste0(dossier_scripts,'\\','Sunburst_building.R')
source(file= script_file)

## popup de fin
popup_text <- paste0('CMD /C "ECHO FIN && PAUSE"')
system(popup_text, invisible=FALSE, wait=FALSE)  
  
